# Dependencies Installieren

```bash
sudo apt update

# basic build tools such as gcc
sudo apt install build-essential

# meson and ninja for building
sudo apt install meson ninja-build

# glfw
sudo apt install libglfw3 libglfw3-dev

# glew
sudo apt install libglew-dev
```

# Building and running

```
meson setup build
meson compile -C build
./build/cg1
```

# WSL

## WSL Updaten

```
# aktuelle Version anzeigen
wsl -l -v

# Version ändern
wsl --set-version <distro-name> 2

# Updaten
wsl --update
```

## Virtualisierung Aktivieren

```
dism.exe /online /enable-feature /featurename:VirtualMachinePlatform /all /norestart
dism.exe /online /enable-feature /featurename:Microsoft-Windows-Subsystem-Linux /all /norestart
```

